clang 10.0.0git

Classes | Namespaces | Functions
ParsedTemplate.h File Reference
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/TemplateKinds.h"`
`#include "clang/Sema/DeclSpec.h"`
`#include "clang/Sema/Ownership.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <cassert>`
`#include <cstdlib>`
`#include <new>`
Include dependency graph for ParsedTemplate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ParsedTemplateArgument
| Represents the parsed form of a C++ template argument. More...
struct | clang::TemplateIdAnnotation
| Information about a template-id annotation token. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
SourceRange | clang::getTemplateParamsRange (TemplateParameterList const *const *Params, unsigned NumParams)
| Retrieves the range of the given template parameter lists. More...